# Uses of Interface
java.lang.classfile.ClassModel

Packages that use ClassModel
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of ClassModel in java.lang.classfile

Methods in java.lang.classfile that return ClassModel
Modifier and Type
Method
Description
`ClassModel`
ClassFile.`parse(byte[] bytes)`
Parses a `class` file into a `ClassModel`.
`default ClassModel`
ClassFile.`parse(Path path)`
Parses a `class` into a `ClassModel`.
Methods in java.lang.classfile that return types with arguments of type ClassModel
Modifier and Type
Method
Description
`Optional<ClassModel>`
FieldModel.`parent()`
Returns the class model this field is a member of, if known.
`Optional<ClassModel>`
MethodModel.`parent()`
Returns the class model this method is a member of, if known.
Methods in java.lang.classfile with parameters of type ClassModel
Modifier and Type
Method
Description
`default byte[]`
ClassFile.`transformClass(ClassModel model, ClassTransform transform)`
Transform one `class` file into a new `class` file according to a `ClassTransform`.
`byte[]`
ClassFile.`transformClass(ClassModel model, ClassEntry newClassName, ClassTransform transform)`
Transform one `class` file into a new `class` file according to a `ClassTransform`.
`default byte[]`
ClassFile.`transformClass(ClassModel model, ClassDesc newClassName, ClassTransform transform)`
Transform one `class` file into a new `class` file according to a `ClassTransform`.
`List<VerifyError>`
ClassFile.`verify(ClassModel model)`
Verify a `class` file.

## Uses of ClassModel in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool with parameters of type ClassModel
Modifier and Type
Method
Description
`static ConstantPoolBuilder`
ConstantPoolBuilder.`of(ClassModel classModel)`
Returns a new constant pool builder.